package com.jw.app.business.move;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface MoveDAO {
   void insert_move(Map<String,Object> entity) throws BusinessException ;
	
	void update_move(Map<String,Object> entity) throws BusinessException ;
	
	void delete_move(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_move(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_move(Map<String,Object> query) throws BusinessException ;
    
    int listCount_move(Map<String, Object> query) throws BusinessException ; 
}
